// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define(['fs/view/users/BaseUsersView', 'hp/core/Localizer','jquery', 'hp/lib/jquery.hpStatus'],
function(BaseUsersView, localizer) { "use strict";

    var UsersView = (function() {

        function UsersView() {

            BaseUsersView.call(this,[{
                "sDefaultContent": "",
                "sTitle": localizer.getString('fs.users.master.userNameCol'),
                "mDataProp" : "attributes.user_name",
                "sWidth" : "120px"
            },
            {
                "sDefaultContent": "",
                "sTitle": localizer.getString('fs.users.master.roleCol'),
                "bSortable": false,
                "mDataProp" : "multiAttributes.roles",
                "sWidth" : "200px"
            }
            ]);
        }

        return new UsersView();
    }());

    return UsersView;
});
